import { SplitViewBase, displayModeProperty, splitBehaviorProperty, preferredPrimaryColumnWidthFractionProperty, preferredSupplementaryColumnWidthFractionProperty, preferredInspectorColumnWidthFractionProperty, navigationBarTintColorProperty } from './split-view-common';
import { View } from '../core/view';
import { Color } from '../../color';
import type { SplitRole } from '.';
export declare class SplitView extends SplitViewBase {
    [displayModeProperty.setNative]: (value: string) => void;
    [splitBehaviorProperty.setNative]: (value: string) => void;
    [preferredPrimaryColumnWidthFractionProperty.setNative]: (value: number) => void;
    [preferredSupplementaryColumnWidthFractionProperty.setNative]: (value: number) => void;
    [preferredInspectorColumnWidthFractionProperty.setNative]: (value: number) => void;
    [navigationBarTintColorProperty.setNative]: (value: Color) => void;
    static instance: SplitView;
    static getInstance(): SplitViewBase | null;
    viewController: UISplitViewController;
    private _delegate;
    private _controllers;
    private _children;
    primaryButtonAttached: boolean;
    inspectorButtonAttached: boolean;
    inspectorShowing: boolean;
    primaryShowing: boolean;
    constructor();
    createNativeView(): UIView;
    onLoaded(): void;
    private _ensureViewControllerContainment;
    disposeNativeView(): void;
    private _getSplitStyle;
    _addViewToNativeVisualTree(child: SplitViewBase, atIndex: number): boolean;
    _removeViewFromNativeVisualTree(child: View): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onRoleChanged(view: View, oldValue: SplitRole, newValue: SplitRole): void;
    onSecondaryViewCollapsed(secondaryViewController: UIViewController, primaryViewController: UIViewController): void;
    showPrimary(): void;
    hidePrimary(): void;
    showSecondary(): void;
    hideSecondary(): void;
    showSupplementary(): void;
    showInspector(): void;
    hideInspector(): void;
    notifyInspectorChange(showing: boolean): void;
    invalidateChildLayouts(delay?: number): void;
    _invalidateAllChildLayouts(): void;
    private _resolveRoleForChild;
    private _findRoleByChild;
    private _ensureControllerForChild;
    private _attachSecondaryDisplayModeButton;
    attachPrimaryButton(): void;
    attachInspectorButton(): void;
    private _syncControllers;
    private _applyPreferences;
}
